--- filterproxy-0.30.orig/debian/filterproxy.init
+++ filterproxy-0.30/debian/filterproxy.init
@@ -0,0 +1,43 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          filterproxy
+# Required-Start:    $remote_fs $syslog
+# Required-Stop:     $remote_fs $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: startup script for FilterProxy
+### END INIT INFO
+
+# Source function library.
+DAEMON=/usr/sbin/FilterProxy
+NAME=FilterProxy
+
+# Insert your own options here, like "-f /etc/myconfig" to use /etc/myconf instead of
+# /etc/filterproxy.conf
+OPTIONS="-f /etc/filterproxy.conf"
+PORT=8888
+
+[ -x $DAEMON ] || exit 0;
+
+# See how we were called.
+case "$1" in
+	start)
+		echo -n "Starting FilterProxy: "
+		start-stop-daemon --start --name $NAME --chuid filterproxy:filterproxy --exec $DAEMON -- -p $PORT $OPTIONS
+		echo "done"
+		;;
+	stop)
+		echo -n "Shutting down FilterProxy: "
+		start-stop-daemon --stop --oknodo --retry KILL/5 --name $NAME
+		echo "done"
+		;;
+	restart|force-reload)
+		$0 stop
+		$0 start
+		;;
+	*)
+		echo "Usage: $0 {start|stop|restart}"
+		exit 1
+esac
+
+exit 0
--- filterproxy-0.30.orig/debian/dirs
+++ filterproxy-0.30/debian/dirs
@@ -0,0 +1,4 @@
+usr/share/filterproxy
+usr/share/doc/filterproxy
+usr/sbin
+var/log/filterproxy
--- filterproxy-0.30.orig/debian/README.Debian
+++ filterproxy-0.30/debian/README.Debian
@@ -0,0 +1,15 @@
+A note about filtered content:
+
+ It is clear to me that rewriting web pages for yourself should not pose any
+ kind of legal quandry.  That is, removing banner ads from HTML is perfectly
+ legal, just as scribbling in a book you have bought, or ripping pages out of
+ a book you have bought is legal.
+ .
+ What is *not* legal is redistributing modified content.  In most cases, HTML
+ is copyrighted by the site you downloaded it from, and I doubt they would be
+ very happy if you started redistributing modified copies of their site.
+ .
+ DO NOT install FilterProxy to filter other people's content (without their
+ knowledge and consent).  You may be liable for copyright infringement on the
+ echo pages filtered.  FilterProxy is meant to be a PERSONAL ad-filtering proxy.
+
--- filterproxy-0.30.orig/debian/docs
+++ filterproxy-0.30/debian/docs
@@ -0,0 +1,4 @@
+BUGS
+README
+TODO
+FilterProxy.conf
--- filterproxy-0.30.orig/debian/changelog
+++ filterproxy-0.30/debian/changelog
@@ -0,0 +1,203 @@
+filterproxy (0.30-6.3) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Added LSB formatted dependency info in init.d script (closes: #469700)
+
+ -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 10:58:01 +0200
+
+filterproxy (0.30-6.2) unstable; urgency=high
+
+  * Non-maintainer upload for RC bug fix.
+  * Add dependency on adduser. (Closes: #408241)
+
+ -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 31 Jan 2007 02:56:40 +0100
+
+filterproxy (0.30-6.1) unstable; urgency=low
+
+  * Non-maintainer upload to fix debconf issues.
+  * Moved debconf note to README.Debian. (Closes: #331821, #330547)
+  * Dropped debconf dependency and removed the config file.
+  * Bumped to compat 5, created the file debian/compat and removed
+    the conffile file.
+  * Bumped Standards-Version to 3.7.2, no changes required.
+  * Moved debhelper to Build-Depends. (Policy Violation 7.6)
+  * Removed full stop "." character from the "Description" field.
+
+ -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon,  6 Nov 2006 19:40:27 +0100
+
+filterproxy (0.30-6) unstable; urgency=low
+
+  * Remove libxml2 and libxslt1 from Depends: (Closes: Bug#261833).
+  * Upgrade Standards-Version to 3.6.1:
+    - Converted debian/changelog to UTF-8.
+
+ -- Mario Lang <mlang@debian.org>  Thu, 29 Jul 2004 12:51:05 +0200
+
+filterproxy (0.30-5) unstable; urgency=low
+
+  * Added xsl/ to the installation process.
+  * Build it with .orig.tar.gz again (Closes: #159149)
+
+ -- Mario Lang <mlang@debian.org>  Tue, 22 Oct 2002 10:15:11 +0200
+
+filterproxy (0.30-4) unstable; urgency=low
+
+  * New maintainer upload (Closes: Bug#160773)
+  * Fixed mason compatibility (Closes: Bug#159929)
+  * Now depends on mason >= 1.1201
+  * Add dependency for liburi-perl
+  * Patch from upstream (Closes: Bug#143864)
+  * Remove libxml2-dev, libxslt1-dev from build-depend, they
+    are really not used.
+
+ -- Mario Lang <mlang@debian.org>  Wed, 18 Sep 2002 10:02:50 +0200
+
+filterproxy (0.30-3.1) unstable; urgency=low
+
+  * Non-maintainer upload (BSP)
+  * Fixed depends for perl 5.8
+
+ -- Bas Zoetekouw <bas@debian.org>  Sun,  1 Sep 2002 15:02:51 +0000
+
+filterproxy (0.30-3) unstable; urgency=low
+
+  * Danish templates fixed (Closes: #144108)
+  * NMU by Søren Boll Overgaard, since maintainers new key has not yet
+    been accepted into the keyring. Identity of maintainer has been
+    rechecked.
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Tue, 23 Apr 2002 22:19:02 +0200
+
+filterproxy (0.30-2.1) unstable; urgency=high
+
+  * NMU to get ready for woody release.
+  * Corrected sequence of actions in postinst, fresh install should now
+    succeed - using a slightly different approach than in proposed patch
+    though - doesn't chown config if it already exists (Closes: #135575)
+
+ -- Erich Schubert <erich@debian.org>  Sun, 10 Mar 2002 20:36:50 +0100
+
+filterproxy (0.30-2) unstable; urgency=low
+
+  * Don't create homedir in postinst script (Closes: #129454)
+  * Don't overwrite config-file, since it doesn't change in any noteworthy
+    way between releases. (Closes: #129596)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Thu, 17 Jan 2002 17:00:50 +0100
+
+filterproxy (0.30-1) unstable; urgency=low
+
+  * New upstream release
+  * Fixed a little display-bug with Konqueror in Rewrite.html
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Sun, 13 Jan 2002 23:36:41 +0100
+
+filterproxy (0.29.2-4) unstable; urgency=low
+
+  * Depend on perlmagick (Closes: #120455)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Tue,  4 Dec 2001 15:35:59 +0100
+
+filterproxy (0.29.2-3) unstable; urgency=low
+
+  * Added Brazilian portuguese (pt_BR) debconf template, courtesy of Andre Luis
+    Lopes (Closes: #120938)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Tue, 27 Nov 2001 14:44:43 +0100
+
+filterproxy (0.29.2-2) unstable; urgency=low
+
+  * Add dummy ImageComp.html (Closes: #120455)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Thu, 22 Nov 2001 12:48:37 +0100
+
+filterproxy (0.29.2-1) unstable; urgency=low
+
+  * New upstream release
+  * Fixed pid-file writing (Closes: #119621)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Mon, 19 Nov 2001 21:41:18 +0100
+
+filterproxy (0.29.1-6) unstable; urgency=low
+
+  * Duh. Guess who feels like a fool... (Closes: #102004)
+  * German added to debconf templates, courtesy of Sebastian Feltel (Closes: #102013)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Sun, 24 Jun 2001 15:34:35 +0200
+
+filterproxy (0.29.1-5) unstable; urgency=low
+
+  * New (improved) initscript, courtesy of Cristian Ionescu-Idbohrn. (Closes: #101912)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Fri, 22 Jun 2001 14:24:16 +0200
+
+filterproxy (0.29.1-4) unstable; urgency=medium
+
+  * Fixed misc. bugs in postrm, which made the package unremoveable.
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Tue, 19 Jun 2001 22:25:40 +0200
+
+filterproxy (0.29.1-3) unstable; urgency=low
+
+  * Delete pid-file on remove, delete log-files on purge. Also, keep logs in
+    separate directory (policy/permissions). (Closes: #100147)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Tue, 19 Jun 2001 00:40:01 +0200
+
+filterproxy (0.29.1-2) unstable; urgency=low
+
+  * Fixed a typo on my part (Closes: #99867)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Mon,  4 Jun 2001 12:43:17 +0200
+
+filterproxy (0.29.1-1) unstable; urgency=low
+
+  * New upstream release (small bugfixes only)
+  * Fixed a couple of old bugs, and a new (Closes: #99707)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Sat,  2 Jun 2001 23:22:07 +0200
+
+filterproxy (0.29-7) unstable; urgency=low
+
+  * Argh. Crap. (Closes: #95379)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Fri, 27 Apr 2001 13:21:38 +0200
+
+filterproxy (0.29-6) unstable; urgency=low
+
+  * Fixed .pid and .log file placement (Closes: #95181)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Wed, 25 Apr 2001 19:22:30 +0200
+
+filterproxy (0.29-5) unstable; urgency=high
+
+  * Fixes the "hanging installation" bug, caused by the daemon not closing
+    file descriptors properly. (Closes: #92244)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Mon,  2 Apr 2001 20:37:35 +0200
+
+filterproxy (0.29-4) unstable; urgency=low
+
+  * Moved the "press ENTER" prompt from postinst to debconf, after a
+    small compliant (sorry about that :(). (Closes: #92126)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Thu, 29 Mar 2001 23:19:53 +0200
+
+filterproxy (0.29-3) unstable; urgency=low
+
+  * Typos, once again (Thue). (Closes: #90674)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Thu, 22 Mar 2001 13:30:28 +0100
+
+filterproxy (0.29-2) unstable; urgency=low
+
+  * Fixed a typo in Rewrite.html (thanks Thue). (Closes: #90546)
+  * Added $HOME to @INC, problem reported by Thue. (Closes: #90670)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Thu, 22 Mar 2001 11:24:44 +0100
+
+filterproxy (0.29-1) unstable; urgency=low
+
+  * Initial Release. (Closes: #86980, #87161)
+
+ -- Kenneth Vestergaard Schmidt <charon@debian.org>  Sat, 10 Mar 2001 00:08:03 +0100
--- filterproxy-0.30.orig/debian/copyright
+++ filterproxy-0.30/debian/copyright
@@ -0,0 +1,14 @@
+This package was debianized by Kenneth Vestergaard Schmidt <charon@debian.org> on
+Sat, 10 Mar 2001 00:08:03 +0100.
+
+It was downloaded from http://filterproxy.sourceforge.net
+
+Upstream Author: Bob McElrath
+
+Copyright:
+
+FilterProxy is copyright 2000, 2001, 2002 by 
+Bob McElrath <mcelrath+filterproxy@draal.physics.wisc.edu>.
+
+This package is copyrighted under the GNU GPL, version 2.
+The GNU GPL can on Debian systems be found in /usr/share/common-licenses/GPL.
--- filterproxy-0.30.orig/debian/control
+++ filterproxy-0.30/debian/control
@@ -0,0 +1,19 @@
+Source: filterproxy
+Section: web
+Priority: optional
+Maintainer: Mario Lang <mlang@debian.org>
+Build-Depends: debhelper (>> 5)
+Standards-Version: 3.7.2
+
+Package: filterproxy
+Architecture: all
+Depends: liburi-perl, libcompress-zlib-perl (>= 1.10),
+ libhtml-mason-perl (>= 1.1201), libxml-libxml-perl, libxml-libxslt-perl,
+ libwww-perl, perl (>= 5.8) | libtime-hires-perl (>= 1.10), perl (>= 5.6),
+ perlmagick (>= 5.4), adduser
+Description: A filtering proxy, which can among other things remove ads
+ FilterProxy is a Perl script that acts as a generic web proxy. It is
+ unique in that it allows "Modules" to be installed that can perform
+ arbitrary transformations on HTML(or any other mime-type). Currently
+ it filters ads, and compresses HTML content (for a 5-1 speedup on
+ modems!) Configuration is done with web forms.
--- filterproxy-0.30.orig/debian/postinst
+++ filterproxy-0.30/debian/postinst
@@ -0,0 +1,54 @@
+#! /bin/sh
+# postinst script for filterproxy
+#
+# see: dh_installdeb(1)
+
+# Source debconf library (needed to make "deep magic" work :] )
+. /usr/share/debconf/confmodule
+
+set +e
+
+# Next set of statements "loaned" from squid's postinst :)
+
+# create filterproxy group if it doesn't already exist
+if ! grep -q ^filterproxy: /etc/group; then
+    echo Adding system group: filterproxy
+    addgroup filterproxy
+fi
+
+# creating filterproxy user if it doesn't already exist
+if ! grep -q ^filterproxy: /etc/passwd; then
+    echo Adding system user: filterproxy
+    adduser --system --ingroup filterproxy --no-create-home --home /usr/share/filterproxy filterproxy
+fi
+
+usermod -c "FilterProxy" filterproxy
+usermod -d "/usr/share/filterproxy" filterproxy
+usermod -g "filterproxy" filterproxy
+usermod -s "/bin/false" filterproxy
+
+set -e
+
+if [ -d /usr/share/filterproxy ]; then
+    chown -R filterproxy:filterproxy /usr/share/filterproxy
+    chmod 0750 /usr/share/filterproxy
+fi
+
+# Make sure log directory has correct permissions
+chown filterproxy:filterproxy /var/log/filterproxy
+chmod 750 /var/log/filterproxy
+
+# Copy initial config if none exists and chown it.
+if [ ! -f /etc/filterproxy.conf ]; then
+	gzip -cd /usr/share/doc/filterproxy/examples/FilterProxy.conf.gz > /etc/filterproxy.conf
+	chown filterproxy:filterproxy /etc/filterproxy.conf
+fi
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+# Is the daemon buggy? It hangs without this...
+db_stop
+exit 0
--- filterproxy-0.30.orig/debian/compat
+++ filterproxy-0.30/debian/compat
@@ -0,0 +1 @@
+5
--- filterproxy-0.30.orig/debian/FilterProxy.8
+++ filterproxy-0.30/debian/FilterProxy.8
@@ -0,0 +1,38 @@
+.TH FILTERPROXY 8 "March 10, 2001"
+.SH NAME
+filterproxy \- a filtering web proxy
+.SH SYNOPSIS
+.B filterproxy
+.RI [ -h -k -f <file> -p <port> -n]
+.br
+.SH DESCRIPTION
+This manual page documents briefly the
+.B filterproxy
+command.
+This manual page was written for the Debian GNU/Linux distribution
+because the original program does not have a manual page.
+.PP
+\fBfilterproxy\fP is a perl script that acts as a generic web proxy. It is
+unique in that it allows "Modules" to be installed that can perform
+arbitrary transofrmations on HTML (or any other mime-type). Currently
+it filters ads, and compresses HTML content (for a 5-1 speedup on
+modems!)  Configuration is done with web forms.
+.SH OPTIONS
+A summary of options is included below.
+.TP
+.B \-h
+Show summary of options.
+.TP
+.B \-f <file>
+Specify an alternate config file (default is /etc/filterproxy/filterproxy.conf)
+.TP
+.B \-p <port>
+Specify the port to which FilterProxy will bind (default is 8888)
+.TP
+.B \-n
+Do not daemonize: stay connected to the terminal from which it was started
+and print debugging messages.
+.br
+.SH AUTHOR
+This manual page was written by Kenneth Vestergaard Schmidt <charon@debian.org>,
+for the Debian GNU/Linux system (but may be used by others).
--- filterproxy-0.30.orig/debian/postrm
+++ filterproxy-0.30/debian/postrm
@@ -0,0 +1,51 @@
+#! /bin/sh
+# postrm script for filterproxy
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see /usr/share/doc/packaging-manual/
+
+case "$1" in
+       purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+	    if grep -q ^filterproxy: /etc/passwd; then
+		echo Removing system user: filterproxy
+		userdel filterproxy
+	    fi
+	    if grep -q ^filterproxy: /etc/group; then
+		echo Removing system group: filterproxy
+		groupdel filterproxy
+	    fi
+	
+	    if [ -f /var/run/filterproxy.pid ]; then
+	        rm /var/run/filterproxy.pid
+	    fi
+        ;;
+
+    purge)
+	    if [ -d /var/log/filterproxy ]; then
+		rm -rf /var/log/filterproxy
+	    fi
+	;;
+	
+    default)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 0
+	;;
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
--- filterproxy-0.30.orig/debian/rules
+++ filterproxy-0.30/debian/rules
@@ -0,0 +1,72 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper. 
+# This file is public domain software, originally written by Joey Hess.
+#
+# This version is for packages that are architecture independent.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+build: build-stamp
+build-stamp:
+	dh_testdir
+
+	# Add here commands to compile the package.
+	#$(MAKE)
+
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp
+
+	# Add here commands to clean up after the build process.
+	#-$(MAKE) clean
+	#-$(MAKE) distclean
+
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	# Add here commands to install the package into debian/<packagename>.
+	#$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
+	cp FilterProxy.pl $(CURDIR)/debian/filterproxy/usr/sbin/FilterProxy
+	cp -R html/ xsl/ FilterProxy/ $(CURDIR)/debian/filterproxy/usr/share/filterproxy
+
+# Build architecture-independent files here.
+binary-indep: build install
+	dh_testdir
+	dh_testroot
+	dh_installdebconf
+	dh_installdocs
+	dh_installexamples FilterProxy.conf
+#	dh_installmenu
+#	dh_installlogrotate
+#	dh_installpam
+#	dh_installmime
+	dh_installinit
+#	dh_installcron
+	dh_installman debian/FilterProxy.8
+#	dh_installinfo
+#	dh_undocumented
+	dh_installchangelogs
+	dh_link
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+#	dh_perl
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install
